Authenticator
For authentication instructions, see API overview.
Endpoints
post
Create authenticator
Create authenticator. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
firstnamestringlastnamestringemailstringpasswordstringrolenamestring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/authenticator/signup2 \ -d 'firstname="Ahmed"' \ -d 'lastname="Ali"' \ -d 'email="lol@example.com"' \ -d 'password="123456"' \ -d 'rolename="Admin"'Response
No response schemapost
Create authenticator
Create authenticator. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
emailstringpasswordstring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/authenticator/signin2 \ -d 'email=""' \ -d 'password=""'Response
No response schemaget
Retrieve authenticator get
Returns a single authenticator ge, which you can request by passing through an id in the url.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/authenticator/meResponse
No response schemapatch
Update authenticator
Update authenticator by setting the values of the parameters passed. Any parameters not set will be unchanged.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/authenticator/meResponse
No response schemapost
Create authenticator
Create authenticator. You need to pass through any required fields, and you can optionally pass through other fields.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/authenticator/resetpassword